#ifndef BP_MY_BINDER_H
#define BP_MY_BINDER_H

#include <IMyBinder.h>

namespace android {
    class BpMyBinder : public BpInterface<IMyBinder> {
        public:
            BpMyBinder(const sp<IBinder>& impl) //indispensable
                : BpInterface<IMyBinder>(impl) {
            }
            
            virtual bool loadBomb(const int num);
            virtual int checkBomb(void);
            virtual bool fire(void);       
    };


}
#endif /* BP_MY_BINDER_H */
